/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.geodata.entity;

public interface GeodataOrtBase extends 
de.ivu.elect.jee.entity.Entity<GeodataOrtPK, GeodataOrtUK>
{

  
  /**
   * getter for primary key wrapper GEODATA_ORT.geodata_ort_id
   *
   * @return
   */
  @Override
  GeodataOrtPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for GEODATA_ORT.LATITUDE
   *
   */
  java.lang.Double getLatitude();

  /**
   * 
   *
   * setter for GEODATA_ORT.LATITUDE
   *
   * @param latitude
   */
  void setLatitude(java.lang.Double latitude);
      

  /**
   * 
   *
   * getter for GEODATA_ORT.LONGITUDE
   *
   */
  java.lang.Double getLongitude();

  /**
   * 
   *
   * setter for GEODATA_ORT.LONGITUDE
   *
   * @param longitude
   */
  void setLongitude(java.lang.Double longitude);
      

  /**
   * 
   *
   * getter for GEODATA_ORT.ORTSNAME
   *
   */
  java.lang.String getOrtsname();

  /**
   * 
   *
   * setter for GEODATA_ORT.ORTSNAME
   *
   * @param ortsname
   */
  void setOrtsname(java.lang.String ortsname);
      

  /**
   * 
   *
   * getter for GEODATA_ORT.ORTSTEILNAME
   *
   */
  java.lang.String getOrtsteilname();

  /**
   * 
   *
   * setter for GEODATA_ORT.ORTSTEILNAME
   *
   * @param ortsteilname
   */
  void setOrtsteilname(java.lang.String ortsteilname);
  
/**
 * Beziehungen N:1 unidirektional
 */

/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  /**
  * getter muss read-only verwendet werden, da die Beziehung auf der anderen Seite nicht aktualisiert wird!
  */
  java.util.Set<de.ivu.elect.business.geodata.entity.GeodataPlz> getGeodataPlzs();

 /**
  * Hinzufuegen von de.ivu.elect.business.geodata.entity.GeodataPlz
  */
  void addGeodataPlz(de.ivu.elect.business.geodata.entity.GeodataPlz geodataPlz);

  /**
  * Entfernen von de.ivu.elect.business.geodata.entity.GeodataPlz
  */
  void removeGeodataPlz(de.ivu.elect.business.geodata.entity.GeodataPlz geodataPlz);

 /**
  * Entfernen von allen  de.ivu.elect.business.geodata.entity.GeodataPlz
  */
  void removeAllGeodataPlzs();


/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
